### Function

# Jsonrpc ServerHandler

#### Declaration

    void
    (* JsonrpcServerHandler) (
      JsonrpcServer* self,
      JsonrpcClient* client,
      const gchar* method,
      GVariant* id,
      GVariant* params,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`self`

  Type: `JsonrpcServer`

  No description available.

  The data is owned by the caller of the function.

`client`

  Type: `JsonrpcClient`

  No description available.

  The data is owned by the caller of the function.

`method`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`id`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the function.

`params`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.